# OSGeo::FDO::Connections::IConnectionPropertyDictionaryImp Class Reference
[OSGeo::FDO::Connections]

Inheritance diagram for OSGeo::FDO::Connections::IConnectionPropertyDictionaryImp:

[legend]

List of all members.

## Detailed Description

The IConnectionPropertyDictionary exposes a dictionary style interface to the connection properties. The properties required to establish a connection can be determined and their values can be set through this interface. Modifying connection properties through this interface dynamically modifies the connection string held by the connection object. When the connection is in an open state, calling SetProperty on this interface will result in an error.

()

## Public Member Functions
System::String * | EnumeratePropertyValues (System::String *name)[]
| Returns an array of possible values for the specified property.
__property System::String * | get_PropertyNames ()[]
| Gets the names of all the properties that can appear in a connection string for this feature provider as an array of Strings. The order of the property names in the resulting array dictate the order in which they need to be specified. This is especially important for the success of the EnumeratePropertyValues method because properties that occur earlier in the array may be required for successful enumeration of properties that appear later.
System::String * | GetLocalizedName (System::String *name)
| Gets a localized name for the property (for NLS purposes).
System::String * | GetProperty (System::String *name)
| Gets the value of the specified property.
System::String * | GetPropertyDefault (System::String *name)
| Gets the default value for the specified property.
System::Boolean | IsPropertyEnumerable (System::String *name)
| Determines if the possible values for the specified property can be enumerated via the EnumeratePropertyValues method.
System::Boolean | IsPropertyProtected (System::String *name)
| Indicates if the property is a password or other protected field that should be kept secure.
System::Boolean | IsPropertyRequired (System::String *name)
| Determines if the specified property is required.
System::Void | SetProperty (System::String *name, System::String *value)
| Sets the value of the specified property. An exception is thrown if the connection is currently open.